Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ComplexRelationLegTypeRequest

Object
ComplexRelationLegTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ComplexRelationLegTypeRequest extends Object implements Serializable
The properties of the Complex Relation Leg Type.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ComplexRelationLegTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexRelationLegTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComplexRelationLegTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetTypeId()`
  Required. The ID of the Asset Type of the Relation.
  `String`
  `getCoRole()`
  The name of the role that the target plays.
  `UUID`
  `getId()`
  The id of the Complex Relation Leg Type.
  `Integer`
  `getMax()`
  The maximum number of Leg Type occurrences.
  `int`
  `getMin()`
  The minimum number of Leg Type occurrences.
  `UUID`
  `getRelationTypeId()`
  The id of the Relation Type of the Leg Type.
  `String`
  `getRole()`
  Required. The name of the role that the source plays.
  `int`
  `hashCode()`
  `void`
  `setAssetTypeId(UUID assetTypeId)`
  Required. The ID of the Asset Type of the Relation.
  `void`
  `setCoRole(String coRole)`
  The name of the role that the target plays.
  `void`
  `setId(UUID id)`
  The id of the Complex Relation Leg Type.
  `void`
  `setMax(Integer max)`
  The maximum number of Leg Type occurrences.
  `void`
  `setMin(int min)`
  The minimum number of Leg Type occurrences.
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  The id of the Relation Type of the Leg Type.
  `void`
  `setRole(String role)`
  Required. The name of the role that the source plays.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexRelationLegTypeRequest

    public ComplexRelationLegTypeRequest()

- ## Method Details

  - ### builder

    public static ComplexRelationLegTypeRequest.Builder builder()

  - ### getMin

    public int getMin()
    The minimum number of Leg Type occurrences.

  - ### getMax

    public Integer getMax()
    The maximum number of Leg Type occurrences.

  - ### getRole

    public String getRole()
    Required. The name of the role that the source plays.

  - ### getCoRole

    public String getCoRole()
    The name of the role that the target plays.

  - ### getAssetTypeId

    public UUID getAssetTypeId()
    Required. The ID of the Asset Type of the Relation.

  - ### getId

    public UUID getId()
    The id of the Complex Relation Leg Type. The Leg Type will be created with this id or updated. If left empty on update the Leg Type will be recreated.

  - ### getRelationTypeId

    public UUID getRelationTypeId()
    The id of the Relation Type of the Leg Type.

  - ### setMin

    public void setMin(int min)
    The minimum number of Leg Type occurrences.

  - ### setMax

    public void setMax(Integer max)
    The maximum number of Leg Type occurrences.

  - ### setRole

    public void setRole(String role)
    Required. The name of the role that the source plays.

  - ### setCoRole

    public void setCoRole(String coRole)
    The name of the role that the target plays.

  - ### setAssetTypeId

    public void setAssetTypeId(UUID assetTypeId)
    Required. The ID of the Asset Type of the Relation.

  - ### setId

    public void setId(UUID id)
    The id of the Complex Relation Leg Type. The Leg Type will be created with this id or updated. If left empty on update the Leg Type will be recreated.

  - ### setRelationTypeId

    public void setRelationTypeId(UUID relationTypeId)
    The id of the Relation Type of the Leg Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`